package com.landray.kmss.sys.attachment.service;

import com.landray.kmss.common.dao.HQLInfo;
import java.util.List;
import com.landray.kmss.common.actions.RequestContext;
import com.landray.kmss.sys.attachment.model.SysAttBase;
import com.landray.kmss.common.service.IBaseService;

public interface ISysAttDownloadLogService extends IBaseService
{
    public static final String ATT_DOWNLOAD_TYPE_UNKNOW = "unknow";
    public static final String ATT_DOWNLOAD_TYPE_MANUAL = "manual";
    
    void addDownloadLogByAtt(final SysAttBase p0, final RequestContext p1) throws Exception;
    
    void addDownloadLogByAttList(final List<?> p0, final RequestContext p1) throws Exception;
    
    Long getDownloadCount(final String p0, final String p1) throws Exception;
    
    void deleteByAttId(final String p0) throws Exception;
    
    void includeRecord(final HQLInfo p0);
}
